Convex hull does not run in QGIS 3.2

2018-07-06 01:15 AM - Joshua  Mabonga

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Vectors

Affected QGIS version:3.2 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27176

Description

I've tried to create a convex hull (Vector > Geoprocessing Tools > Convex Hull) from points and no polygon was created. When i checked

the attribute table of layer created, it did not contain any values, indicating it did not run and only created an empty layer file.

When i tried to create a convex hull with QGIS 2.18 using the same file, a polygon was created indicating there may be an issue with

version 3.2.

My CRS is EPSG 32636, WGS 84 UTM Zone 36N. I have attached below a log file with errors i got.

Someone had the same issue and posted it to stackexchange.com at 

https://gis.stackexchange.com/questions/283111/creating-minimum-convex-polygon-home-range-from-points-in-qgis . So it obvious, it's

not only me experiencing the issue.

Associated revisions

Revision f6ab5f95 - 2018-07-10 02:24 AM - Nyall Dawson

[processing] Better error when 'Convex hull' algorithm is run on

single point feature layer

Which hints to users to use the 'Minimum bounding geometry' algorithm

instead.

Fixes #19348

Revision c473ac00 - 2018-07-10 03:15 AM - Nyall Dawson

[processing] Better error when 'Convex hull' algorithm is run on

single point feature layer

Which hints to users to use the 'Minimum bounding geometry' algorithm

instead.

Fixes #19348

(cherry-picked from f6ab5f95)

History
https://gis.stackexchange.com/questions/283111/creating-minimum-convex-polygon-home-range-from-points-in-qgis


#1 - 2018-07-06 09:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Regression? changed from No to Yes

- Priority changed from Normal to High

Can you attach sample data? thanks!

#2 - 2018-07-06 09:03 PM - Joshua  Mabonga

- File qgis sample data.csv added

- Assignee set to Giovanni Manghi

Giovanni Manghi wrote:

Can you attach sample data? thanks!

Please find sample data attached

#3 - 2018-07-07 03:21 AM - Nyall Dawson

- Status changed from Feedback to In Progress

https://github.com/qgis/QGIS/pull/7376

#4 - 2018-07-10 02:24 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|f6ab5f95f715fb66622d428b7a2e11a1e5cf7291.

Files

convex hull log file.txt 28.6 KB 2018-07-05 Joshua  Mabonga

qgis sample data.csv 307 Bytes 2018-07-06 Joshua  Mabonga
